## ros-indigo-ecto-ros 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ecto_ros)

find_package(catkin REQUIRED cmake_modules cv_bridge ecto geometry_msgs nav_msgs rosbag roscpp sensor_msgs std_msgs)
catkin_package(CFG_EXTRAS ecto_ros-extras.cmake
               INCLUDE_DIRS include
)

add_definitions(-Wno-strict-aliasing)

include_directories(include)

add_subdirectory(cmake)
add_subdirectory(src)

# configure and install Python
catkin_python_setup()

# Deal with the tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc/source doc)

=== cmake/CMakeLists.txt ===
foreach(file pubsub_gen_wrap.cmake gen_msg_wrappers.py)
    file(COPY ${PROJECT_SOURCE_DIR}/cmake/${file}
         DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake
         USE_SOURCE_PERMISSIONS
    )
endforeach()

install(PROGRAMS ${PROJECT_SOURCE_DIR}/cmake/gen_msg_wrappers.py
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/
)
install(FILES ${PROJECT_SOURCE_DIR}/cmake/pubsub_gen_wrap.cmake
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/
)

# install the include folder
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ecto_ros/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        COMPONENT main
)

include(pubsub_gen_wrap.cmake)

=== src/CMakeLists.txt ===
find_package(OpenCV REQUIRED)
find_package(Eigen REQUIRED)

include_directories(${catkin_INCLUDE_DIRS}
                    ${Eigen_INCLUDE_DIRS}
)

ectomodule(ecto_ros_main DESTINATION ecto_ros INSTALL
  ecto_ros.cpp
  cv_bridge.cpp
  cv_pose.cpp
  cv_camera_info.cpp
  Synchronizer.cpp
  BagReader.cpp
  BagWriter.cpp
  camera_sync_printer.cpp
)

link_ecto(ecto_ros_main
  ${OpenCV_LIBS}
  ${catkin_LIBRARIES}
  )

pubsub_gen_wrap(std_msgs DESTINATION ecto_ros INSTALL)
pubsub_gen_wrap(sensor_msgs DESTINATION ecto_ros INSTALL)
pubsub_gen_wrap(geometry_msgs DESTINATION ecto_ros INSTALL)
pubsub_gen_wrap(nav_msgs DESTINATION ecto_ros INSTALL)

set_target_properties(ecto_ros_main_ectomodule
  PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE
  )

=== test/CMakeLists.txt ===
macro(pytest pyfile)
  string(REPLACE ";" " " args "${ARGN}")
  add_test(ros_${pyfile}
    ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh  ${CATKIN_DEVEL_PREFIX}/setup.sh ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}.py ${args}
    )
endmacro()

if (CATKIN_ENABLE_TESTING)
  catkin_download_test_data(ecto_ros_test_data https://github.com/plasmodic/ecto_data/raw/master/t01.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 25b21110c1077cd2e3e1dc9fc0775baa
  )
  catkin_add_nosetests(test_bag.py DEPENDENCIES ecto_ros_test_data)
  catkin_add_nosetests(test_sync_sub.py DEPENDENCIES ecto_ros_test_data)
  catkin_add_nosetests(test_image_sub.py DEPENDENCIES ecto_ros_test_data)
  catkin_add_nosetests(test_reinit.py DEPENDENCIES ecto_ros_test_data)
endif()

=== debian/changelog ===
ros-indigo-ecto-ros (0.4.8-0trusty) trusty; urgency=high

  * reenable some tests
  * fix constness
  * Expose tcp_nodelay parameter for subscribers.
  * cleaner dependency handling
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Nov 2015 23:00:00 -0000

ros-indigo-ecto-ros (0.4.7-0trusty) trusty; urgency=high

  * remove code that was in cv_bridge
  * [Image2Mat] lazy conversion depending on presence of input.
    This lets the consumer of the cv mat decide how he wants to handle
    the situation when there is nothing coming through rather than
    the current situation where it will crash if the input shared
    ptr is null, or throw an exception (about unknown encoding)
    and terminate if it is an empty image message.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Jul 2015 22:00:00 -0000

ros-indigo-ecto-ros (0.4.6-0trusty) trusty; urgency=high

  * do not install files from devel
    fixes #16 <https://github.com/plasmodic/ecto_ros/issues/16>
  * clean extensions
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 06 Feb 2015 23:00:00 -0000

ros-indigo-ecto-ros (0.4.5-0trusty) trusty; urgency=high

  * Merge pull request #15 <https://github.com/plasmodic/ecto_ros/issues/15> from stonier/synch_fix
    Synchroniser fixes to behavior introduced by subscriber DO_OVER's
  * bugfixes for the synchroniser fixes.
  * a plasm should not be created in the configure function
    I fixed that as the doc was broken (make sphinx-doc did not work)
  * Merge pull request #13 <https://github.com/plasmodic/ecto_ros/issues/13> from stonier/lazy_publishing
    Exposing number of subscribers
  * Merge pull request #14 <https://github.com/plasmodic/ecto_ros/issues/14> from stonier/lazy_mat2img_publisher
    Lazy Mat2Image publisher blackbox
  * bugfix subscriber cell handling in synchronisers for recent DO_OVER update, closes #11 <https://github.com/plasmodic/ecto_ros/issues/11>
  * lazy mat2image publisher blackbox.
  * do not be lazy if it is a latched publisher.
  * publisher cells now provide a has_subscribers boolean output.
  * check for number of subscribers.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 10 Nov 2014 23:00:00 -0000

ros-indigo-ecto-ros (0.4.4-0trusty) trusty; urgency=high

  * Merge pull request #10 <https://github.com/plasmodic/ecto_ros/issues/10> from stonier/get_subscribers
    Check for subscribers before publishing
  * get subscribers to give the scheduler a chance to make decisions instead of permanently blocking.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 05 Sep 2014 22:00:00 -0000

ros-indigo-ecto-ros (0.4.3-0trusty) trusty; urgency=high

  * Actually apply the queue size
  * cleanup tests and dot not depend on vault.willowgarage.com
  * Actually apply the queue size
  * remove usage of SYSTEM in include_directories.
  * don't rely on the user setting up the catkin environment for the script.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-indigo-ecto-ros (0.4.2-0trusty) trusty; urgency=high

  * fixes #2 <https://github.com/plasmodic/ecto_ros/issues/2>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 02 Apr 2014 22:00:00 -0000

ros-indigo-ecto-ros (0.4.1-0trusty) trusty; urgency=high

  * fix farm errors on Indigo
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Mar 2014 23:00:00 -0000

ros-indigo-ecto-ros (0.4.0-0trusty) trusty; urgency=high

  * add rosmsg dependency for message generation
  * use proper catkin to download test data
  * remove stack.xml now that Fuerte is dropped
  * use floats for K and make sure D is filled
  * remove Fuerte support
  * update url
  * remove Sphinx warnings
  * cleanup the CMake
  * ros_comm is a meta-package but rosbag is definitely needed
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Mon, 03 Mar 2014 23:00:00 -0000

ros-indigo-ecto-ros (0.3.23-0trusty) trusty; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-indigo-ecto-ros (0.3.22-0trusty) trusty; urgency=high

  * comply to the new catkin API
  * comply to the new ecto API
  * re-add missing dependencies
  * fix the renaming of genmsg
  * remove some warnings for the latest catkin
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Thu, 03 Jan 2013 23:00:00 -0000

ros-indigo-ecto-ros (0.3.21-0trusty) trusty; urgency=high

  * fix extra line
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Sun, 18 Nov 2012 14:21:00 -0000

ros-indigo-ecto-ros (0.3.20-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vrabaud@willowgarage.com>  Sun, 18 Nov 2012 14:13:00 -0000

ros-indigo-ecto-ros (0.3.19-0trusty) trusty; urgency=high

  * fix the Python for Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Sun, 18 Nov 2012 14:12:00 -0000

ros-indigo-ecto-ros (0.3.18-0trusty) trusty; urgency=high

  * use catkin_pkg
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Thu, 01 Nov 2012 23:00:00 -0000

ros-indigo-ecto-ros (0.3.17-0trusty) trusty; urgency=high

  * use the new ecto_catkin interface
  * add missing dependencies
  * retrieve data fro mthe package.xml
  * remove electric support
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Wed, 31 Oct 2012 23:00:00 -0000

ros-indigo-ecto-ros (0.3.16-0trusty) trusty; urgency=high

  * output error message if any
  * use intersphinx for docs
  * comply to the new API
  * comply to the new catkin API


=== debian/control ===
Source: ros-indigo-ecto-ros
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-ecto, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-rosmsg, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://plasmodic.github.io/ecto_ros
Standards-Version: 3.9.2

Package: ros-indigo-ecto-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cv-bridge, ros-indigo-ecto, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-std-msgs
Description: A set of generic cells to interact with ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ecto-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
